Paginated journal history for a loan
curl --request GET \
--url https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"journal_entry_id": "11111111-1111-1111-1111-111111111111",
"event_type": "disbursement",
"effective_at": "2023-12-25",
"posted_at": "2023-11-07T05:31:56Z",
"lines": [
{
"sequence": 16384,
"account_code": "1000",
"direction": "DR",
"amount_minor": "88849",
"currency": "USD",
"layer": "SETTLED",
"loan_id": "11111111-1111-1111-1111-111111111111",
"borrower_id": "11111111-1111-1111-1111-111111111111",
"external_ref": "<string>"
}
],
"correlation_id": "11111111-1111-1111-1111-111111111111",
"reverses_entry_id": "11111111-1111-1111-1111-111111111111",
"description": "<string>",
"actor": "<string>"
}
],
"next_page_token": "<string>"
}journal
Paginated journal history for a loan
GET
/
loans
/
{loan_id}
/
journal-entries
Paginated journal history for a loan
curl --request GET \
--url https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ledger.clarivo.co/v1/loans/{loan_id}/journal-entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"journal_entry_id": "11111111-1111-1111-1111-111111111111",
"event_type": "disbursement",
"effective_at": "2023-12-25",
"posted_at": "2023-11-07T05:31:56Z",
"lines": [
{
"sequence": 16384,
"account_code": "1000",
"direction": "DR",
"amount_minor": "88849",
"currency": "USD",
"layer": "SETTLED",
"loan_id": "11111111-1111-1111-1111-111111111111",
"borrower_id": "11111111-1111-1111-1111-111111111111",
"external_ref": "<string>"
}
],
"correlation_id": "11111111-1111-1111-1111-111111111111",
"reverses_entry_id": "11111111-1111-1111-1111-111111111111",
"description": "<string>",
"actor": "<string>"
}
],
"next_page_token": "<string>"
}Authorizations
OAuth2 JWT bearer tokens. Tokens are validated at API Gateway via a
Lambda Authorizer that verifies signature against the issuer's JWKS,
checks iss, aud, exp, nbf, and the tenant_id custom claim.
Granular scopes are required per operation.
Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
"11111111-1111-1111-1111-111111111111"
Query Parameters
Available options:
disbursement, disbursement_settled, accrual, payment_received, payment_allocated, payment_returned, fee_assessed, fee_waived, chargeoff, recovery, refinance, restructure, reversal, manual_adjustment Required range:
1 <= x <= 500Maximum string length:
512